Installation and Upgrades

From OpenNMS
Jump to: navigation, search

Compatibility Matrix

Horizon

OpenNMS Java PostgreSQL Newts Cassandra Grafana Elasticsearch Kafka
Horizon 19 Oracle JDK 8 9.2+ Yes 1.2, 2.x, 3.0 3.x, 4.x 2.x, 5.x 0.10
Horizon 18 Oracle JDK 8 9.1+ Yes 1.2, 2.x, 3.0 3.x, 4.x 1.0 No
Horizon 17 Oracle JDK 8 9.1+ Yes 1.2, 2.x 3.x, 4.x No No
Horizon 16 Oracle JDK 8 9.0+ No No 3.x, 4.x No No
Horizon 15 Oracle JDK 7 9.0+ No No No No No

Meridian

OpenNMS Java PostgreSQL Newts Cassandra Grafana Elasticsearch Kafka
Meridian 2016 Oracle JDK 8 9.1+ Yes 1.2, 2.x, 3.0 3.x, 4.x No No
Meridian 2015 Oracle JDK 7 9.0+ No No No No No

Installation

Upgrade

Mirror Server

APT Repository
Tier 0 US: debian.opennms.org
Tier 1 EU: debian.opennms.eu
YUM Repository
Tier 0 US: yum.opennms.org
Tier 1 EU: yum.opennms.eu

back to main page